--------------------------------------------------------------------------------
--  Licensed Materials - Property of IBM
--  5655-FLW (C) Copyright IBM Corporation 2007.
--  All Rights Reserved.
--  US Government Users Restricted Rights-
--  Use, duplication or disclosure restricted
--  by GSA ADP Schedule Contract with IBM Corp.
--------------------------------------------------------------------------------
--   Version %I%
--   Last update: %E% %U%
--------------------------------------------------------------------------------
--
-- SQL snippet for Observer java based UDF
-- for DB2 (distributed)
--------------------------------------------------------------------------------
--
-- Before you can use this SQL file to switch to the Java based Observer
-- functions, you must ensure that you have installed the utility jar
-- $WAS_HOME/lib/bpcodbutil.jar using the setupEventCollector tool or by
-- using the following command, locally on the database server, connected to
-- the database:
--
--    db2 call sqlj.install_jar('file:pathURL','SCHEMA.BPCODBUTIL')
--
-- where pathURL is a fully qualified URL to the jar file and
--       SCHEMA is the name of the collection to be used.
--
-- For example:
--
--   if the jar file is in the directory /tmp and your collection/schema is OBSVR
--   you must enter the following command, using QSHELL (qsh):
--
--     db2 "call sqlj.install_jar('file:/tmp/bpcodbutil.jar','OBSVR.BPCODBUTIL','0')"
--
--
-- Note:
--
--   If you receive
--
--     SQL20201N The install, replace or remove of "<jar-id>" failed as the jar
--     name is invalid.
--
--   the jar file may already be installed. Replace INSTALL_JAR then with
--   REPLACE_JAR and rereun the commad
--------------------------------------------------------------------------------

--------------------------------------------------------------------------------
-- Following variables needs to be changed for customization and
-- before running this script:
--
--   @SCHEMA@ = Collection/Schema Qualifier
--------------------------------------------------------------------------------

----------------------
-- Create functions --
----------------------
CREATE FUNCTION
  @SCHEMA@.INTERVALIN ( INT, TIMESTAMP, TIMESTAMP)
  RETURNS INT
  EXTERNAL NAME '@SCHEMA@.BPCODBUTIL:com.ibm.bpe.observer.dbutil.TimestampUtil.intervalinInt'
  LANGUAGE JAVA
  PARAMETER STYLE JAVA
  DETERMINISTIC
  FENCED
  RETURNS NULL ON NULL INPUT
  NO SQL
  NO EXTERNAL ACTION
  ALLOW PARALLEL;

CREATE FUNCTION
  @SCHEMA@.INTERVALIN ( INT, TIMESTAMP, VARCHAR(26))
  RETURNS INT
  EXTERNAL NAME '@SCHEMA@.BPCODBUTIL:com.ibm.bpe.observer.dbutil.TimestampUtil.intervalinInt'
  LANGUAGE JAVA
  PARAMETER STYLE JAVA
  DETERMINISTIC
  FENCED
  RETURNS NULL ON NULL INPUT
  NO SQL
  NO EXTERNAL ACTION
  ALLOW PARALLEL;

CREATE FUNCTION
  @SCHEMA@.INTERVALIN ( INT, VARCHAR(26), TIMESTAMP)
  RETURNS INT
  EXTERNAL NAME '@SCHEMA@.BPCODBUTIL:com.ibm.bpe.observer.dbutil.TimestampUtil.intervalinInt'
  LANGUAGE JAVA
  PARAMETER STYLE JAVA
  DETERMINISTIC
  FENCED
  RETURNS NULL ON NULL INPUT
  NO SQL
  NO EXTERNAL ACTION
  ALLOW PARALLEL;

CREATE FUNCTION
  @SCHEMA@.INTERVALIN ( INT, VARCHAR(26), VARCHAR(26))
  RETURNS INT
  EXTERNAL NAME '@SCHEMA@.BPCODBUTIL:com.ibm.bpe.observer.dbutil.TimestampUtil.intervalinInt'
  LANGUAGE JAVA
  PARAMETER STYLE JAVA
  DETERMINISTIC
  FENCED
  RETURNS NULL ON NULL INPUT
  NO SQL
  NO EXTERNAL ACTION
  ALLOW PARALLEL;

CREATE FUNCTION @SCHEMA@.OBSVR_JAR_ACTIVE ()
  RETURNS INTEGER
  LANGUAGE SQL
  NO EXTERNAL ACTION
  DETERMINISTIC
  RETURN 1;

