--
-- Licensed Materials - Property of IBM
-- 5655-FLW (C) Copyright IBM Corporation 2006, 2010.
-- All Rights Reserved.
-- US Government Users Restricted Rights- 
-- Use, duplication or disclosure restricted 
-- by GSA ADP Schedule Contract with IBM Corp.
--
-- Scriptfile to create storage group and database for DB2 z/OS
----------------------------------------------------------------------
-- Before running this script, you have to change the following variables:
--   @STOGRP@    = DB2 Storage group name
--   @DB_NAME@   = DB2 Database name
--   @WLMID@  = WLM environment name to run UDF 
--   @SCHEMA@    = DB2 Schema qualifier
--   @VOLUMES@   = DB2 comma separated list of volume-ids
--   @VCAT@      = DB2 integrated catalog facility name
--   @BPTABLE4K@ = 4k bufferpool for tables
--   @BPINDEX@   = index bufferbool
----------------------------------------------------------------------
-- Process this script in the DB2 command line processor
-- example: db2 -tf createDatabase_Observer.sql

SET CURRENT SQLID = '@SCHEMA@';

DROP   DATABASE @DB_NAME@;
DROP   STOGROUP @STOGRP@;
CREATE STOGROUP @STOGRP@ VOLUMES (@VOLUMES@) VCAT @VCAT@;
CREATE DATABASE @DB_NAME@
  STOGROUP @STOGRP@
  BUFFERPOOL @BPTABLE4K@
  CCSID UNICODE
  INDEXBP @BPINDEX@;
COMMIT;

