--
-- Licensed Materials - Property of IBM
-- 5655-FLW (C) Copyright IBM Corporation 2006, 2010.
-- All Rights Reserved.
-- US Government Users Restricted Rights- 
-- Use, duplication or disclosure restricted 
-- by GSA ADP Schedule Contract with IBM Corp.
--
-- Scriptfile to create tablespaces for DB2 z/OS v8
----------------------------------------------------------------------
-- Following variables needs to be changed for customization and 
-- before running this script:
--   @STOGRP@    = DB2 Storage group name
--   @DB_NAME@   = DB2 Database name
--   @BPLOB4K@   = 4K buffer pool used for LOB table spaces
-- Note: Tablespaces should be created with LOCKSIZE ROW to
--       avoid deadlocks
--       Tablespaces should be created with CCSID UNICODE for
--       performance reasons and codepage coverage for user input
----------------------------------------------------------------------
-- db2 -tf createTablespace_Observer.sql


--------------------------------
-- Create regular tablespaces --
--------------------------------

CREATE TABLESPACE OBSVR01
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE NO
  CCSID UNICODE;

CREATE TABLESPACE OBSVR02
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 64
  COMPRESS YES
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE NO
  CCSID UNICODE;

CREATE TABLESPACE OBSVR03
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 64
  COMPRESS YES
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE NO
  CCSID UNICODE;

CREATE TABLESPACE OBSVR04
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 64
  COMPRESS YES
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE NO
  CCSID UNICODE;

CREATE TABLESPACE OBSVR05
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 64
  COMPRESS YES
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE NO
  CCSID UNICODE;

CREATE TABLESPACE OBSVR06
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE NO
  CCSID UNICODE;

CREATE TABLESPACE OBSVR07
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 32
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE NO
  CCSID UNICODE;

CREATE TABLESPACE OBSVR08
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  SEGSIZE 64
  COMPRESS YES
  LOCKMAX SYSTEM
  LOCKSIZE ROW
  DEFINE NO
  CCSID UNICODE;

--------------------------------------------------
-- Create auxiliary tablespaces for LOB columns --
--------------------------------------------------

CREATE LOB TABLESPACE OS26201
  LOCKMAX SYSTEM
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  BUFFERPOOL @BPLOB4K@;

CREATE LOB TABLESPACE OS26202
  LOCKMAX SYSTEM
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  BUFFERPOOL @BPLOB4K@;

CREATE LOB TABLESPACE OS26203
  LOCKMAX SYSTEM
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  BUFFERPOOL @BPLOB4K@;

CREATE LOB TABLESPACE OS26204
  LOCKMAX SYSTEM
  IN @DB_NAME@
  USING STOGROUP @STOGRP@
  BUFFERPOOL @BPLOB4K@;

--
--
--
