--
-- Licensed Materials - Property of IBM
-- 5655-FLW (C) Copyright IBM Corporation 2006, 2010.
-- All Rights Reserved.
-- US Government Users Restricted Rights- 
-- Use, duplication or disclosure restricted 
-- by GSA ADP Schedule Contract with IBM Corp.
--
-- Scriptfile to drop schema (tables) in DB2 v8 for z/OS
-- Process this script in the DB2 command line processor
----------------------------------------------------------------------
-- The following variable needs to be changed for customization and
-- before running this script.
-- @SCHEMA@ = DB2 SQLID (Schema Qualifier)
----------------------------------------------------------------------
-- example: db2 -tf dropSchema_Observer.sql


-----------------
-- Drop tables --
-----------------

DROP TABLE @SCHEMA@.OBSERVER_VERSION;

DROP TABLE @SCHEMA@.INST_PRC_T;

DROP TABLE @SCHEMA@.INST_ACT_T;

DROP TABLE @SCHEMA@.EVENT_PRC_T;

DROP TABLE @SCHEMA@.EVENT_ACT_T;

DROP TABLE @SCHEMA@.QUERY_T;

DROP TABLE @SCHEMA@.SLICES_T;

DROP TABLE @SCHEMA@.OPEN_EVENTS_T;

---------------------------------------------------------------------
--  Licensed Materials - Property of IBM
--  5655-FLW (C) Copyright IBM Corporation 2005,2007.
--  All Rights Reserved.
--  US Government Users Restricted Rights-
--  Use, duplication or disclosure restricted
--  by GSA ADP Schedule Contract with IBM Corp.
---------------------------------------------------------------------
--   Version %I%
--   Last update: %E% %U%
---------------------------------------------------------------------
--
-- SQL snippet to drop Observer UDFs
-- for DB2 V8 for z/OS
--
---------------------------------------------------------------------
--
-- !!! Please ensure that no line is longer than 70 characters !!!
--
---------------------------------------------------------------------
--
-- If you used the java based Observer functions, you also must
-- uninstall the jar file bpcodbutil.jar from the database using the
-- setupEventCollector tool.
--
-- Following variables needs to be changed for customization and
-- before running this script:
--
--   @SCHEMA@ = DB2 SQLID (Schema Qualifier)
--
---------------------------------------------------------------------

--------------------
-- Drop functions --
--------------------

DROP FUNCTION @SCHEMA@.INTERVALIN ( INT, TIMESTAMP, VARCHAR(26));
DROP FUNCTION @SCHEMA@.INTERVALIN ( INT, VARCHAR(26), TIMESTAMP);
DROP FUNCTION @SCHEMA@.INTERVALIN ( INT, VARCHAR(26), VARCHAR(26));
DROP FUNCTION @SCHEMA@.INTERVALIN ( INT, TIMESTAMP, TIMESTAMP);

DROP FUNCTION @SCHEMA@.OBSVR_JAR_ACTIVE();

