--------------------------------------------------------------------
--  Licensed Materials - Property of IBM
--  5655-FLW (C) Copyright IBM Corporation 2005,2008.
--  All Rights Reserved.
--  US Government Users Restricted Rights-
--  Use, duplication or disclosure restricted
--  by GSA ADP Schedule Contract with IBM Corp.
--------------------------------------------------------------------
--   Version %I%
--   Last update: %E% %U%
--------------------------------------------------------------------
--
-- SQL snippet for Observer java based UDF
-- for DB2 on z/OS v9
--------------------------------------------------------------------
--
-- Following variables needs to be changed for customization and
-- before running this script:
--   @WLMID@  = WLM environment name to run UDF
--   @SCHEMA@ = DB2 SQLID (Schema Qualifier)
--
-- If the user id that performs this script is not @SCHEMA@,
-- the GRANT statements located at label GRANT_EXECUTE must be
-- activated by removing the comment signs.
--
-- Also, before you can use this SQL file to switch to the Java based
-- Observer functions, you must ensure that you have installed the
-- utility jar $WAS_HOME/lib/bpcodbutil.jar using the
-- setupEventCollector tool
----------------------------------------------------------------------

----------------------
-- Create functions --
----------------------

CREATE FUNCTION @SCHEMA@.INTERVALIN ( INT, TIMESTAMP, TIMESTAMP)
  RETURNS INT
  EXTERNAL NAME
  '@SCHEMA@.BPCODBUTIL:com.ibm.bpe'
  '.observer.dbutil.TimestampUtil.intervalinInt'
  SPECIFIC @SCHEMA@.INTERVALIN_TS_TS
  LANGUAGE JAVA
  PARAMETER STYLE JAVA
  DETERMINISTIC
  RETURNS NULL ON NULL INPUT
  WLM ENVIRONMENT @WLMID@
  CONTINUE AFTER FAILURE;

CREATE FUNCTION @SCHEMA@.INTERVALIN ( INT, VARCHAR(26), TIMESTAMP)
  RETURNS INT
  EXTERNAL NAME
  '@SCHEMA@.BPCODBUTIL:com.ibm.bpe'
  '.observer.dbutil.TimestampUtil.intervalinInt'
  SPECIFIC @SCHEMA@.INTERVALIN_VC_TS
  LANGUAGE JAVA
  PARAMETER STYLE JAVA
  DETERMINISTIC
  RETURNS NULL ON NULL INPUT
  WLM ENVIRONMENT @WLMID@
  CONTINUE AFTER FAILURE;

CREATE FUNCTION @SCHEMA@.INTERVALIN ( INT, TIMESTAMP, VARCHAR(26))
  RETURNS INT
  EXTERNAL NAME
  '@SCHEMA@.BPCODBUTIL:com.ibm.bpe'
  '.observer.dbutil.TimestampUtil.intervalinInt'
  SPECIFIC @SCHEMA@.INTERVALIN_TS_VC
  LANGUAGE JAVA
  PARAMETER STYLE JAVA
  DETERMINISTIC
  RETURNS NULL ON NULL INPUT
  WLM ENVIRONMENT @WLMID@
  CONTINUE AFTER FAILURE;

CREATE FUNCTION @SCHEMA@.INTERVALIN ( INT, VARCHAR(26), VARCHAR(26))
  RETURNS INT
  EXTERNAL NAME
  '@SCHEMA@.BPCODBUTIL:com.ibm.bpe'
  '.observer.dbutil.TimestampUtil.intervalinInt'
  SPECIFIC @SCHEMA@.INTERVALIN_VC_VC
  LANGUAGE JAVA
  PARAMETER STYLE JAVA
  DETERMINISTIC
  RETURNS NULL ON NULL INPUT
  WLM ENVIRONMENT @WLMID@
  CONTINUE AFTER FAILURE;

CREATE FUNCTION @SCHEMA@.OBSVR_JAR_ACTIVE ()
  RETURNS INTEGER
  LANGUAGE SQL
  NO EXTERNAL ACTION
  DETERMINISTIC
  RETURN 1;

----------------------------------------------------------------------
-- GRANT_EXECUTE
-- Activate the following GRANT statements by removing the comment
-- signs when the user id that performes this script is not @SCHEMA@
----------------------------------------------------------------------
-- GRANT EXECUTE ON SPECIFIC FUNCTION
--    @SCHEMA@.INTERVALIN_TS_VC TO @SCHEMA@;
--
-- GRANT EXECUTE ON SPECIFIC FUNCTION
--    @SCHEMA@.INTERVALIN_TS_TS TO @SCHEMA@;
--
-- GRANT EXECUTE ON SPECIFIC FUNCTION
--    @SCHEMA@.INTERVALIN_VC_VC TO @SCHEMA@;
--
-- GRANT EXECUTE ON SPECIFIC FUNCTION
--    @SCHEMA@.INTERVALIN_VC_TS TO @SCHEMA@;
