--------------------------------------------------------------------
--  Licensed Materials - Property of IBM
--  5655-FLW (C) Copyright IBM Corporation 2005,2008.
--  All Rights Reserved.
--  US Government Users Restricted Rights-
--  Use, duplication or disclosure restricted
--  by GSA ADP Schedule Contract with IBM Corp.
--------------------------------------------------------------------
--   Version %I%
--   Last update: %E% %U%
--------------------------------------------------------------------
--
-- SQL snippet for Observer SQL based UDFs
-- for DB2 v9 on z/OS
--
--------------------------------------------------------------------
--
-- Please ensure that the lines are not longer than 70 characters!
--
--------------------------------------------------------------------
--
-- Following variables needs to be changed for customization and
-- before running this script:
--
--   @SCHEMA@ = DB2 SQLID (Schema Qualifier)
--
-- If the user id that performs this script is not @SCHEMA@,
-- the GRANT statements located at label GRANT_EXECUTE must be
-- activated by removing the comment signs.
--
--------------------------------------------------------------------
----------------------
-- Create functions --
----------------------

CREATE FUNCTION @SCHEMA@.INTERVALIN (INTERVAL INT,
                                     TS_START TIMESTAMP,
                                     TS_END TIMESTAMP)
  RETURNS INTEGER
  LANGUAGE SQL
  SPECIFIC @SCHEMA@.INTERVALIN_TS_TS
  READS SQL DATA
  NO EXTERNAL ACTION
  DETERMINISTIC
  RETURN TIMESTAMPDIFF(INTERVAL,CHAR(TS_END - TS_START));

CREATE FUNCTION @SCHEMA@.INTERVALIN (INTERVAL INT,
                                     TS_START TIMESTAMP,
                                     VC_END VARCHAR(26))
  RETURNS INTEGER
  LANGUAGE SQL
  SPECIFIC @SCHEMA@.INTERVALIN_TS_VC
  CONTAINS SQL
  NO EXTERNAL ACTION
  DETERMINISTIC
  RETURN
    TIMESTAMPDIFF(INTERVAL,CHAR(CAST(VC_END AS TIMESTAMP) - TS_START));

CREATE FUNCTION @SCHEMA@.INTERVALIN (INTERVAL INT,
                                     VC_START VARCHAR(26),
                                     TS_END TIMESTAMP)
  RETURNS INTEGER
  LANGUAGE SQL
  SPECIFIC @SCHEMA@.INTERVALIN_VC_TS
  READS SQL DATA
  NO EXTERNAL ACTION
  DETERMINISTIC
  RETURN
    TIMESTAMPDIFF(INTERVAL,CHAR(TS_END - CAST(VC_START AS TIMESTAMP)));

CREATE FUNCTION @SCHEMA@.INTERVALIN (INTERVAL INT,
                                     VC_START VARCHAR(26),
                                     VC_END VARCHAR(26))
  RETURNS INTEGER
  LANGUAGE SQL
  SPECIFIC @SCHEMA@.INTERVALIN_VC_VC
  READS SQL DATA
  NO EXTERNAL ACTION
  DETERMINISTIC
  RETURN
    TIMESTAMPDIFF(INTERVAL,CHAR(CAST(VC_END AS TIMESTAMP) -
                        CAST(VC_START AS TIMESTAMP)));

CREATE FUNCTION @SCHEMA@.OBSVR_JAR_ACTIVE ()
  RETURNS INTEGER
  LANGUAGE SQL
  NO EXTERNAL ACTION
  DETERMINISTIC
  RETURN 0;

----------------------------------------------------------------------
-- GRANT_EXECUTE
-- Activate the following GRANT statements by removing the comment
-- signs when the user id that performes this script is not @SCHEMA@
----------------------------------------------------------------------
-- GRANT EXECUTE ON SPECIFIC FUNCTION
--    @SCHEMA@.INTERVALIN_TS_VC TO @SCHEMA@;
--
-- GRANT EXECUTE ON SPECIFIC FUNCTION
--    @SCHEMA@.INTERVALIN_TS_TS TO @SCHEMA@;
--
-- GRANT EXECUTE ON SPECIFIC FUNCTION
--    @SCHEMA@.INTERVALIN_VC_VC TO @SCHEMA@;
--
-- GRANT EXECUTE ON SPECIFIC FUNCTION
--    @SCHEMA@.INTERVALIN_VC_TS TO @SCHEMA@;
