--
-- Licensed Materials - Property of IBM
-- 5655-FLW (C) Copyright IBM Corporation 2006, 2010.
-- All Rights Reserved.
-- US Government Users Restricted Rights- 
-- Use, duplication or disclosure restricted 
-- by GSA ADP Schedule Contract with IBM Corp.
--
--
-- Scriptfile to create tablespaces for Oracle 9i, 10g, 11g
----------------------------------------------------------------------
-- Before running this script, you need to replace all occurences of
-- the replacement variables listed below with values appropriate for
-- your environment. Replacement variables are of the form: @VARIABLE@.
-- 
-- Note: if you do not find any replacement variables in this script 
--       this step might be already completed by a pre-processor.
-- 
-- @OBSVRTS@      = valid table space name
-- @OBSVRLOB@        = valid table space name
-- @OBSVRIDX@      = valid table space name
----------------------------------------------------------------------
-- Start this script with SQL*Plus and pass the container location as a parameter
-- example: sqlplus scott/tiger@mydb @createTablespace_Observer.sql d:\mydb\ts
-- Or, replace parameters '&1' with the desired location and run the script
-- without any parameter
--

------------------------
-- Create tablespaces --
------------------------


CREATE TABLESPACE @OBSVRTS@
  DATAFILE '&1/@OBSVRTS@.dbf' SIZE 100M AUTOEXTEND ON NEXT 20M MAXSIZE UNLIMITED LOGGING;

CREATE TABLESPACE @OBSVRLOB@
  DATAFILE '&1/@OBSVRLOB@.dbf' SIZE 200M AUTOEXTEND ON NEXT 40M MAXSIZE UNLIMITED LOGGING;

CREATE TABLESPACE @OBSVRIDX@
  DATAFILE '&1/@OBSVRIDX@.dbf' SIZE 250M AUTOEXTEND ON NEXT 50M MAXSIZE UNLIMITED LOGGING;
--
--
--
QUIT
