--
-- Licensed Materials - Property of IBM
-- 5655-FLW (C) Copyright IBM Corporation 2006, 2010.
-- All Rights Reserved.
-- US Government Users Restricted Rights- 
-- Use, duplication or disclosure restricted 
-- by GSA ADP Schedule Contract with IBM Corp.
--

-----------------
-- Drop tables --
-----------------

DROP TABLE @SCHEMA@.WIS_EMPTY_T;

DROP TABLE @SCHEMA@.SHARED_WORK_ITEM_T;


CREATE INDEX @SCHEMA@.PIB_WSID1 ON @SCHEMA@.PROCESS_INSTANCE_B_T
(   
  WSID_1, STATE
);

CREATE INDEX @SCHEMA@.PIB_WSID2 ON @SCHEMA@.PROCESS_INSTANCE_B_T
(   
  WSID_2, STATE
);

CREATE INDEX @SCHEMA@.PIB_SWI1 ON @SCHEMA@.PROCESS_INSTANCE_B_T
(   
  PIID, NAME, PTID
);

CREATE INDEX @SCHEMA@.AIB_PI_EH_FE_AT ON @SCHEMA@.ACTIVITY_INSTANCE_B_T
(   
  PIID, EHIID, ENCLOSING_FEIID, ATID
);

CREATE INDEX @SCHEMA@.AIB_WSID1 ON @SCHEMA@.ACTIVITY_INSTANCE_B_T
(   
  WSID_1, STATE
);

CREATE INDEX @SCHEMA@.AIB_WSID2 ON @SCHEMA@.ACTIVITY_INSTANCE_B_T
(   
  WSID_2, STATE
);

CREATE INDEX @SCHEMA@.AIB_PIID ON @SCHEMA@.ACTIVITY_INSTANCE_B_T
(   
  PIID
);

CREATE INDEX @SCHEMA@.EI_WSID1 ON @SCHEMA@.EVENT_INSTANCE_B_T
(   
  WSID_1
);

CREATE INDEX @SCHEMA@.EI_WSID2 ON @SCHEMA@.EVENT_INSTANCE_B_T
(   
  WSID_2
);

CREATE INDEX @SCHEMA@.WI_PD1 ON @SCHEMA@.WORK_ITEM_T
(   
  OWNER_ID, AUTH_INFO, OBJECT_TYPE, REASON, OBJECT_ID
);

CREATE INDEX @SCHEMA@.WI_PD2 ON @SCHEMA@.WORK_ITEM_T
(   
  AUTH_INFO, OBJECT_TYPE, REASON, OBJECT_ID, QIID
);

CREATE INDEX @SCHEMA@.WMD_HCUNU ON @SCHEMA@.WIS_META_DATA_T
(   
  HASH_CODE, UNUSED
);

CREATE INDEX @SCHEMA@.ESI_WSID1 ON @SCHEMA@.ESCALATION_INSTANCE_T
(   
  WSID_1
);

CREATE INDEX @SCHEMA@.ESI_WSID2 ON @SCHEMA@.ESCALATION_INSTANCE_T
(   
  WSID_2
);

CREATE INDEX @SCHEMA@.TI_WSID1 ON @SCHEMA@.TASK_INSTANCE_T
(   
  WSID_1, KIND
);

CREATE INDEX @SCHEMA@.TI_WSID2 ON @SCHEMA@.TASK_INSTANCE_T
(   
  WSID_2, KIND
);

CREATE INDEX @SCHEMA@.TI_WSID1S ON @SCHEMA@.TASK_INSTANCE_T
(   
  WSID_1, KIND, STATE
);

CREATE INDEX @SCHEMA@.TI_WSID2S ON @SCHEMA@.TASK_INSTANCE_T
(   
  WSID_2, KIND, STATE
);

CREATE INDEX @SCHEMA@.TI_Q1 ON @SCHEMA@.TASK_INSTANCE_T
(   
  KIND, PRIORITY, OWNER, STARTER, ORIGINATOR
);

CREATE INDEX @SCHEMA@.TILD_PD1 ON @SCHEMA@.TASK_INST_LDESC_T
(   
  LOCALE, TKIID, DESCRIPTION
);

CREATE INDEX @SCHEMA@.TILD_PD2 ON @SCHEMA@.TASK_INST_LDESC_T
(   
  LOCALE, TKIID, DISPLAY_NAME
);

CREATE INDEX @SCHEMA@.WBK_WSID1 ON @SCHEMA@.WORK_BASKET_T
(   
  WSID_1
);

CREATE INDEX @SCHEMA@.WBK_WSID2 ON @SCHEMA@.WORK_BASKET_T
(   
  WSID_2
);

CREATE INDEX @SCHEMA@.BCG_WSID1 ON @SCHEMA@.BUSINESS_CATEGORY_T
(   
  WSID_1
);

CREATE INDEX @SCHEMA@.BCG_WSID2 ON @SCHEMA@.BUSINESS_CATEGORY_T
(   
  WSID_2
);

-------------------
-- Create tables --
-------------------

CREATE TABLE @SCHEMA@.E_SWI_T
(
  PKID                               CHAR(16)            FOR BIT DATA  NOT NULL ,
  WIID                               CHAR(16)            FOR BIT DATA  NOT NULL ,
  WSID                               CHAR(16)            FOR BIT DATA  NOT NULL ,
  HASH_CODE                          INTEGER                           NOT NULL ,
  WIS_HASH_CODE                      INTEGER                                    ,
  PARENT_WIID                        CHAR(16)            FOR BIT DATA           ,
  REASON                             INTEGER                           NOT NULL ,
  INHERITED                          SMALLINT                                   ,
  QIID                               CHAR(16)            FOR BIT DATA           ,
  OBJECT_TYPE                        INTEGER                           NOT NULL ,
  KIND                               INTEGER                           NOT NULL ,
  SHARING_PATTERN                    INTEGER                           NOT NULL ,
  ACCESS_KEY                         INTEGER                           NOT NULL ,
  TEMPLATE_ID                        CHAR(16)            FOR BIT DATA           ,
  PARAMETER_A                        INTEGER                                    ,
  PARAMETER_B                        INTEGER                                    ,
  PARAMETER_C                        INTEGER                                    ,
  PARAMETER_D                        CHAR(16)            FOR BIT DATA           ,
  PARAMETER_E                        TIMESTAMP                                  ,
  VERSION_ID                         SMALLINT                          NOT NULL ,
  PRIMARY KEY ( PKID )
);

CREATE INDEX @SCHEMA@.WE_WSID ON @SCHEMA@.E_SWI_T
(   
  WSID
);

CREATE INDEX @SCHEMA@.WE_HASHCODE ON @SCHEMA@.E_SWI_T
(   
  HASH_CODE
);

CREATE INDEX @SCHEMA@.WE_WIID ON @SCHEMA@.E_SWI_T
(   
  WIID
);

CREATE INDEX @SCHEMA@.WE_QIID ON @SCHEMA@.E_SWI_T
(   
  QIID
);

CREATE TABLE @SCHEMA@.SWI_T
(
  PKID                               CHAR(16)            FOR BIT DATA  NOT NULL ,
  WIID                               CHAR(16)            FOR BIT DATA  NOT NULL ,
  PARENT_WIID                        CHAR(16)            FOR BIT DATA           ,
  OWNER_ID                           VARCHAR(128)                               ,
  GROUP_NAME                         VARCHAR(128)                               ,
  EVERYBODY                          SMALLINT                          NOT NULL ,
  QIID                               CHAR(16)            FOR BIT DATA           ,
  OBJECT_TYPE                        INTEGER                           NOT NULL ,
  REASON                             INTEGER                           NOT NULL ,
  KIND                               INTEGER                           NOT NULL ,
  AUTH_INFO                          INTEGER                           NOT NULL ,
  SHARING_PATTERN                    INTEGER                           NOT NULL ,
  ACCESS_KEY                         INTEGER                           NOT NULL ,
  WSID                               CHAR(16)            FOR BIT DATA  NOT NULL ,
  HASH_CODE                          INTEGER                           NOT NULL ,
  WIS_HASH_CODE                      INTEGER                                    ,
  INHERITED                          SMALLINT                                   ,
  TEMPLATE_ID                        CHAR(16)            FOR BIT DATA           ,
  PARAMETER_A                        INTEGER                                    ,
  PARAMETER_B                        INTEGER                                    ,
  PARAMETER_C                        INTEGER                                    ,
  PARAMETER_D                        CHAR(16)            FOR BIT DATA           ,
  PARAMETER_E                        TIMESTAMP                                  ,
  VERSION_ID                         SMALLINT                          NOT NULL ,
  PRIMARY KEY ( PKID )
);

CREATE INDEX @SCHEMA@.SWI_WSID ON @SCHEMA@.SWI_T
(   
  WSID
);

CREATE INDEX @SCHEMA@.SWI_HASHCODE ON @SCHEMA@.SWI_T
(   
  HASH_CODE
);

CREATE INDEX @SCHEMA@.SWI_OTRPD ON @SCHEMA@.SWI_T
(   
  OBJECT_TYPE, REASON, TEMPLATE_ID
);

CREATE INDEX @SCHEMA@.SWI_WIID ON @SCHEMA@.SWI_T
(   
  WIID
);

CREATE INDEX @SCHEMA@.SWI_QIID ON @SCHEMA@.SWI_T
(   
  QIID
);

CREATE INDEX @SCHEMA@.SWI_OWN ON @SCHEMA@.SWI_T
(   
  OWNER_ID, ACCESS_KEY, WSID, REASON
);

CREATE INDEX @SCHEMA@.SWI_GRP ON @SCHEMA@.SWI_T
(   
  GROUP_NAME, ACCESS_KEY, WSID, REASON
);

CREATE INDEX @SCHEMA@.SWI_ACCK1 ON @SCHEMA@.SWI_T
(   
  ACCESS_KEY, REASON, WSID, QIID
);

CREATE INDEX @SCHEMA@.SWI_ACCK2 ON @SCHEMA@.SWI_T
(   
  ACCESS_KEY, REASON, QIID, WSID
);

CREATE INDEX @SCHEMA@.SWI_ACCK3 ON @SCHEMA@.SWI_T
(   
  ACCESS_KEY, REASON, OWNER_ID, WSID
);

CREATE INDEX @SCHEMA@.SWI_ACCK4 ON @SCHEMA@.SWI_T
(   
  ACCESS_KEY, REASON, WSID
);

CREATE INDEX @SCHEMA@.SWI_ACCK5 ON @SCHEMA@.SWI_T
(   
  ACCESS_KEY, OWNER_ID, REASON, WSID
);

CREATE INDEX @SCHEMA@.SWI_ACCK6 ON @SCHEMA@.SWI_T
(   
  ACCESS_KEY, GROUP_NAME, REASON, WSID
);

-- View: SharedWorkItem
CREATE VIEW @SCHEMA@.SHARED_WORK_ITEM(WSID, OWNER_ID, GROUP_NAME, EVERYBODY, REASON ) AS
 SELECT @SCHEMA@.SWI_T.WSID, @SCHEMA@.SWI_T.OWNER_ID, @SCHEMA@.SWI_T.GROUP_NAME, @SCHEMA@.SWI_T.EVERYBODY, @SCHEMA@.SWI_T.REASON
 FROM @SCHEMA@.SWI_T
 WHERE @SCHEMA@.SWI_T.AUTH_INFO IN ( 1,2,3 )
 UNION ALL SELECT @SCHEMA@.SWI_T.WSID, @SCHEMA@.RETRIEVED_USER_T.OWNER_ID, @SCHEMA@.SWI_T.GROUP_NAME, @SCHEMA@.SWI_T.EVERYBODY, @SCHEMA@.SWI_T.REASON
 FROM @SCHEMA@.SWI_T, @SCHEMA@.RETRIEVED_USER_T
 WHERE @SCHEMA@.SWI_T.QIID = @SCHEMA@.RETRIEVED_USER_T.QIID AND @SCHEMA@.SWI_T.AUTH_INFO = 0;
