#!/bin/sh
# ---------------------------------------------------------------------------
#
#  
#   Licensed Materials - Property of IBM
#   5655-FLW (C) Copyright IBM Corporation 2006, 2010.
#   All Rights Reserved.
#   US Government Users Restricted Rights- 
#   Use, duplication or disclosure restricted 
#   by GSA ADP Schedule Contract with IBM Corp.
#  
#
# ---------------------------------------------------------------------------
#
#   Shell script to create the dbspaces for Informix
# ---------------------------------------------------------------------------
#  Before running this script, you need to replace all occurences of
#  the replacement variables listed below with values appropriate for
#  your environment. Replacement variables are of the form: @VARIABLE@.
#  
#  Note: if you do not find any replacement variables in this script 
#        this step might be already completed by a pre-processor.
#  
#  @AUDITLOG@     = valid table space name
#  @INSTANCE@     = valid table space name
#  @STAFFQRY@     = valid table space name
#  @TEMPLATE@     = valid table space name
#  @WORKITEM@     = valid table space name
# ---------------------------------------------------------------------------
#   Before you start this batch-file, replace the parameter '&1' with the
#   location of the initial chunks (for example /ix/ids9.4/chunks) and make sure
#   that they already exist. To execute 'onspaces' the Informix bin-directory
#   needs to be on the path.
#
#   It is recommended to adjust the 'onspaces' parameters for the size and
#   offset to the appropriate values.
#

touch $1/@AUDITLOG@
chmod 660 $1/@AUDITLOG@
onspaces -c -d @AUDITLOG@ -p $1/@AUDITLOG@ -o 0 -s 102400

touch $1/@INSTANCE@
chmod 660 $1/@INSTANCE@
onspaces -c -d @INSTANCE@ -p $1/@INSTANCE@ -o 0 -s 512000

touch $1/@STAFFQRY@
chmod 660 $1/@STAFFQRY@
onspaces -c -d @STAFFQRY@ -p $1/@STAFFQRY@ -o 0 -s 10240

touch $1/@TEMPLATE@
chmod 660 $1/@TEMPLATE@
onspaces -c -d @TEMPLATE@ -p $1/@TEMPLATE@ -o 0 -s 102400

touch $1/@WORKITEM@
chmod 660 $1/@WORKITEM@
onspaces -c -d @WORKITEM@ -p $1/@WORKITEM@ -o 0 -s 51200
exit 0
