--
-- Licensed Materials - Property of IBM
-- 5655-FLW (C) Copyright IBM Corporation 2006, 2010.
-- All Rights Reserved.
-- US Government Users Restricted Rights- 
-- Use, duplication or disclosure restricted 
-- by GSA ADP Schedule Contract with IBM Corp.
--
--
-- Scriptfile to drop schema in Informix
----------------------------------------------------------------------
-- Before running this script, you need to replace all occurences of
-- the replacement variables listed below with values appropriate for
-- your environment. Replacement variables are of the form: @VARIABLE@.
-- 
-- Note: if you do not find any replacement variables in this script 
--       this step might be already completed by a pre-processor.
-- 
-- @SCHEMA@       = schema (userId) name
----------------------------------------------------------------------
-- Process this script using the dbaccess command line processor
-- example: dbaccess <databasename>dropSchema.sql
--


----------------
-- Drop views --
----------------

DROP VIEW @SCHEMA@.PROCESS_TEMPLATE;

DROP VIEW @SCHEMA@.PROCESS_TEMPL_ATTR;

DROP VIEW @SCHEMA@.PROCESS_INSTANCE;

DROP VIEW @SCHEMA@.PROCESS_ATTRIBUTE;

DROP VIEW @SCHEMA@.ACTIVITY;

DROP VIEW @SCHEMA@.ACTIVITY_ATTRIBUTE;

DROP VIEW @SCHEMA@.EVENT;

DROP VIEW @SCHEMA@.WORK_ITEM;

DROP VIEW @SCHEMA@.SHARED_WORK_ITEM;

DROP VIEW @SCHEMA@.ACTIVITY_SERVICE;

DROP VIEW @SCHEMA@.QUERY_PROPERTY;

DROP VIEW @SCHEMA@.QUERY_PROP_TEMPL;

DROP VIEW @SCHEMA@.MIGRATION_FRONT;

DROP VIEW @SCHEMA@.AUDIT_LOG;

DROP VIEW @SCHEMA@.AUDIT_LOG_B;

DROP VIEW @SCHEMA@.APPLICATION_COMP;

DROP VIEW @SCHEMA@.TASK;

DROP VIEW @SCHEMA@.TASK_TEMPL;

DROP VIEW @SCHEMA@.ESCALATION;

DROP VIEW @SCHEMA@.ESC_TEMPL;

DROP VIEW @SCHEMA@.ESC_TEMPL_DESC;

DROP VIEW @SCHEMA@.TASK_TEMPL_CPROP;

DROP VIEW @SCHEMA@.ESC_TEMPL_CPROP;

DROP VIEW @SCHEMA@.TASK_TEMPL_DESC;

DROP VIEW @SCHEMA@.TASK_CPROP;

DROP VIEW @SCHEMA@.TASK_DESC;

DROP VIEW @SCHEMA@.ESCALATION_CPROP;

DROP VIEW @SCHEMA@.TASK_HISTORY;

DROP VIEW @SCHEMA@.ESCALATION_DESC;

DROP VIEW @SCHEMA@.TASK_AUDIT_LOG;

DROP VIEW @SCHEMA@.WORK_BASKET;

DROP VIEW @SCHEMA@.WORK_BASKET_LDESC;

DROP VIEW @SCHEMA@.WORK_BASKET_DIST_TARGET;

DROP VIEW @SCHEMA@.BUSINESS_CATEGORY;

DROP VIEW @SCHEMA@.BUSINESS_CATEGORY_LDESC;

-----------------
-- Drop tables --
-----------------

DROP TABLE @SCHEMA@.SCHEMA_VERSION;

DROP TABLE @SCHEMA@.PROCESS_TEMPLATE_B_T;

DROP TABLE @SCHEMA@.PROCESS_TEMPLATE_ATTRIBUTE_B_T;

DROP TABLE @SCHEMA@.SCOPE_TEMPLATE_B_T;

DROP TABLE @SCHEMA@.SERVICE_TEMPLATE_B_T;

DROP TABLE @SCHEMA@.ACTIVITY_SERVICE_TEMPLATE_B_T;

DROP TABLE @SCHEMA@.SERVICE_LOCATION_TEMPLATE_B_T;

DROP TABLE @SCHEMA@.SERVICE_FAULT_TEMPLATE_B_T;

DROP TABLE @SCHEMA@.ACTIVITY_TEMPLATE_B_T;

DROP TABLE @SCHEMA@.ALARM_TEMPLATE_B_T;

DROP TABLE @SCHEMA@.FAULT_HANDLER_TEMPLATE_B_T;

DROP TABLE @SCHEMA@.LINK_TEMPLATE_B_T;

DROP TABLE @SCHEMA@.LINK_BOUNDARY_TEMPLATE_B_T;

DROP TABLE @SCHEMA@.RESET_TEMPLATE_B_T;

DROP TABLE @SCHEMA@.VARIABLE_MAPPING_TEMPLATE_B_T;

DROP TABLE @SCHEMA@.VARIABLE_TEMPLATE_B_T;

DROP TABLE @SCHEMA@.VARIABLE_STACK_TEMPLATE_B_T;

DROP TABLE @SCHEMA@.ACTIVITY_FAULT_TEMPLATE_B_T;

DROP TABLE @SCHEMA@.PARTNER_LINK_TEMPLATE_B_T;

DROP TABLE @SCHEMA@.URI_TEMPLATE_B_T;

DROP TABLE @SCHEMA@.CLIENT_SETTING_TEMPLATE_B_T;

DROP TABLE @SCHEMA@.ASSIGN_TEMPLATE_B_T;

DROP TABLE @SCHEMA@.CORRELATION_SET_TEMPLATE_B_T;

DROP TABLE @SCHEMA@.CORRELATION_TEMPLATE_B_T;

DROP TABLE @SCHEMA@.PROPERTY_ALIAS_TEMPLATE_B_T;

DROP TABLE @SCHEMA@.EVENT_HANDLER_TEMPLATE_B_T;

DROP TABLE @SCHEMA@.EHALARM_TEMPLATE_B_T;

DROP TABLE @SCHEMA@.CUSTOM_EXT_TEMPLATE_B_T;

DROP TABLE @SCHEMA@.CUSTOM_STMT_TEMPLATE_B_T;

DROP TABLE @SCHEMA@.PROCESS_CELL_MAP_T;

DROP TABLE @SCHEMA@.ACTIVITY_TEMPLATE_ATTR_B_T;

DROP TABLE @SCHEMA@.FOR_EACH_TEMPLATE_B_T;

DROP TABLE @SCHEMA@.GRAPHICAL_PROCESS_MODEL_T;

DROP TABLE @SCHEMA@.QUERYABLE_VARIABLE_TEMPLATE_T;

DROP TABLE @SCHEMA@.MIGRATION_PLAN_TEMPLATE_T;

DROP TABLE @SCHEMA@.IDMAPPING_TEMPLATE_T;

DROP TABLE @SCHEMA@.CHANGE_GROUP_TEMPLATE_T;

DROP TABLE @SCHEMA@.CHANGE_GROUP_IMPACT_TEMPLATE_T;

DROP TABLE @SCHEMA@.MIGRATION_PLAN_VAR_TEMPLATE_T;

DROP TABLE @SCHEMA@.REGION_TEMPLATE_T;

DROP TABLE @SCHEMA@.REGION_CONTENT_TEMPLATE_T;

DROP TABLE @SCHEMA@.CHANGE_TEMPLATE_T;

DROP TABLE @SCHEMA@.STAFF_QUERY_TEMPLATE_T;

DROP TABLE @SCHEMA@.PROCESS_INSTANCE_B_T;

DROP TABLE @SCHEMA@.SCOPE_INSTANCE_B_T;

DROP TABLE @SCHEMA@.ACTIVITY_INSTANCE_B_T;

DROP TABLE @SCHEMA@.VARIABLE_INSTANCE_B_T;

DROP TABLE @SCHEMA@.SCOPED_VARIABLE_INSTANCE_B_T;

DROP TABLE @SCHEMA@.STAFF_MESSAGE_INSTANCE_B_T;

DROP TABLE @SCHEMA@.EVENT_INSTANCE_B_T;

DROP TABLE @SCHEMA@.REQUEST_INSTANCE_B_T;

DROP TABLE @SCHEMA@.PARTNER_LINK_INSTANCE_B_T;

DROP TABLE @SCHEMA@.VARIABLE_SNAPSHOT_B_T;

DROP TABLE @SCHEMA@.SUSPENDED_MESSAGE_INSTANCE_B_T;

DROP TABLE @SCHEMA@.CROSSING_LINK_INSTANCE_B_T;

DROP TABLE @SCHEMA@.INVOKE_RESULT_B_T;

DROP TABLE @SCHEMA@.INVOKE_RESULT2_B_T;

DROP TABLE @SCHEMA@.EVENT_HANDLER_INSTANCE_B_T;

DROP TABLE @SCHEMA@.CORRELATION_SET_INSTANCE_B_T;

DROP TABLE @SCHEMA@.CORRELATION_SET_PROPERTIES_B_T;

DROP TABLE @SCHEMA@.UNDO_ACTION_B_T;

DROP TABLE @SCHEMA@.CUSTOM_STMT_INSTANCE_B_T;

DROP TABLE @SCHEMA@.COMP_WORK_PENDING_B_T;

DROP TABLE @SCHEMA@.COMP_PARENT_ACTIVITY_INST_B_T;

DROP TABLE @SCHEMA@.RESTART_EVENT_B_T;

DROP TABLE @SCHEMA@.PROGRESS_COUNTER_T;

DROP TABLE @SCHEMA@.RELEVANT_SCOPE_ATASK_T;

DROP TABLE @SCHEMA@.CONFIG_INFO_T;

DROP TABLE @SCHEMA@.PROCESS_INSTANCE_ATTRIBUTE_T;

DROP TABLE @SCHEMA@.PROCESS_CONTEXT_T;

DROP TABLE @SCHEMA@.ACTIVITY_INSTANCE_ATTR_B_T;

DROP TABLE @SCHEMA@.NAVIGATION_EXCEPTION_T;

DROP TABLE @SCHEMA@.AWAITED_INVOCATION_T;

DROP TABLE @SCHEMA@.STORED_QUERY_T;

DROP TABLE @SCHEMA@.FOR_EACH_INSTANCE_B_T;

DROP TABLE @SCHEMA@.QUERYABLE_VARIABLE_INSTANCE_T;

DROP TABLE @SCHEMA@.SYNC_T;

DROP TABLE @SCHEMA@.MV_CTR_T;

DROP TABLE @SCHEMA@.MV_MODS_T;

DROP TABLE @SCHEMA@.SAVED_ENGINE_MESSAGE_B_T;

DROP TABLE @SCHEMA@.NAVIGATION_CLEANUP_TIMER_B_T;

DROP TABLE @SCHEMA@.SCHEDULER_ACTION_T;

DROP TABLE @SCHEMA@.QUERY_TABLE_T;

DROP TABLE @SCHEMA@.QUERY_TABLE_REF_T;

DROP TABLE @SCHEMA@.MIGRATION_FRONT_T;

DROP TABLE @SCHEMA@.SCOPE_COMPLETION_COUNTER_T;

DROP TABLE @SCHEMA@.AUDIT_LOG_T;

DROP TABLE @SCHEMA@.WORK_ITEM_T;

DROP TABLE @SCHEMA@.RETRIEVED_USER_T;

DROP TABLE @SCHEMA@.RETRIEVED_GROUP_T;

DROP TABLE @SCHEMA@.WIS_META_DATA_T;

DROP TABLE @SCHEMA@.E_SWI_T;

DROP TABLE @SCHEMA@.SWI_T;

DROP TABLE @SCHEMA@.STAFF_QUERY_INSTANCE_T;

DROP TABLE @SCHEMA@.STAFF_LOCK_T;

DROP TABLE @SCHEMA@.APPLICATION_COMPONENT_T;

DROP TABLE @SCHEMA@.ESCALATION_TEMPLATE_T;

DROP TABLE @SCHEMA@.ESC_TEMPL_CPROP_T;

DROP TABLE @SCHEMA@.ESC_TEMPL_LDESC_T;

DROP TABLE @SCHEMA@.TTASK_MESSAGE_DEFINITION_T;

DROP TABLE @SCHEMA@.TASK_TEMPLATE_T;

DROP TABLE @SCHEMA@.TASK_TEMPL_CPROP_T;

DROP TABLE @SCHEMA@.TASK_TEMPL_LDESC_T;

DROP TABLE @SCHEMA@.TSERVICE_DESCRIPTION_T;

DROP TABLE @SCHEMA@.TASK_CELL_MAP_T;

DROP TABLE @SCHEMA@.TMAIL_T;

DROP TABLE @SCHEMA@.COMPLETION_TEMPLATE_T;

DROP TABLE @SCHEMA@.RESULT_AGGREGATION_TEMPLATE_T;

DROP TABLE @SCHEMA@.ESCALATION_INSTANCE_T;

DROP TABLE @SCHEMA@.ESC_INST_CPROP_T;

DROP TABLE @SCHEMA@.ESC_INST_LDESC_T;

DROP TABLE @SCHEMA@.EIDOCUMENTATION_T;

DROP TABLE @SCHEMA@.ISERVICE_DESCRIPTION_T;

DROP TABLE @SCHEMA@.TASK_INSTANCE_T;

DROP TABLE @SCHEMA@.TASK_CONTEXT_T;

DROP TABLE @SCHEMA@.CONTACT_QUERIES_T;

DROP TABLE @SCHEMA@.UISETTINGS_T;

DROP TABLE @SCHEMA@.REPLY_HANDLER_T;

DROP TABLE @SCHEMA@.TASK_TIMER_T;

DROP TABLE @SCHEMA@.TASK_INST_CPROP_T;

DROP TABLE @SCHEMA@.TASK_INST_LDESC_T;

DROP TABLE @SCHEMA@.TIDOCUMENTATION_T;

DROP TABLE @SCHEMA@.ITASK_MESSAGE_DEFINITION_T;

DROP TABLE @SCHEMA@.TASK_MESSAGE_INSTANCE_T;

DROP TABLE @SCHEMA@.TASK_AUDIT_LOG_T;

DROP TABLE @SCHEMA@.IMAIL_T;

DROP TABLE @SCHEMA@.TASK_HISTORY_T;

DROP TABLE @SCHEMA@.COMPLETION_INSTANCE_T;

DROP TABLE @SCHEMA@.RESULT_AGGREGATION_INSTANCE_T;

DROP TABLE @SCHEMA@.SAVED_TASK_MESSAGE_T;

DROP TABLE @SCHEMA@.WORK_BASKET_T;

DROP TABLE @SCHEMA@.WORK_BASKET_LDESC_T;

DROP TABLE @SCHEMA@.WORK_BASKET_DIST_TARGET_T;

DROP TABLE @SCHEMA@.BUSINESS_CATEGORY_T;

DROP TABLE @SCHEMA@.BUSINESS_CATEGORY_LDESC_T;



-- start import scheduler DDL: dropSchemaInformix.sql



DROP INDEX @SCHEMA@.SCHED_TASK_IDX1;

DROP INDEX @SCHEMA@.SCHED_TASK_IDX2;

DROP TABLE @SCHEMA@.SCHED_TASK;

DROP TABLE @SCHEMA@.SCHED_TREG;

DROP TABLE @SCHEMA@.SCHED_LMGR;

DROP INDEX @SCHEMA@.SCHED_LMPR_IDX1;

DROP TABLE @SCHEMA@.SCHED_LMPR;

-- end import scheduler DDL: dropSchemaInformix.sql

