--
-- Licensed Materials - Property of IBM
-- 5655-FLW (C) Copyright IBM Corporation 2006, 2010.
-- All Rights Reserved.
-- US Government Users Restricted Rights- 
-- Use, duplication or disclosure restricted 
-- by GSA ADP Schedule Contract with IBM Corp.
--

-----------------
-- Drop tables --
-----------------

DROP TABLE @SCHEMA@.WIS_EMPTY_T;

DROP TABLE @SCHEMA@.SHARED_WORK_ITEM_T;


CREATE INDEX @SCHEMA@.PIB_WSID1 ON @SCHEMA@.PROCESS_INSTANCE_B_T
(   
  WSID_1, STATE
) TABLESPACE @INDEXTS@
  LOGGING;

CREATE INDEX @SCHEMA@.PIB_WSID2 ON @SCHEMA@.PROCESS_INSTANCE_B_T
(   
  WSID_2, STATE
) TABLESPACE @INDEXTS@
  LOGGING;

CREATE INDEX @SCHEMA@.PIB_SWI1 ON @SCHEMA@.PROCESS_INSTANCE_B_T
(   
  PIID, NAME, PTID
) TABLESPACE @INDEXTS@
  LOGGING;

CREATE INDEX @SCHEMA@.AIB_PI_EH_FE_AT ON @SCHEMA@.ACTIVITY_INSTANCE_B_T
(   
  PIID, EHIID, ENCLOSING_FEIID, ATID
) TABLESPACE @INDEXTS@
  LOGGING;

CREATE INDEX @SCHEMA@.AIB_WSID1 ON @SCHEMA@.ACTIVITY_INSTANCE_B_T
(   
  WSID_1, STATE
) TABLESPACE @INDEXTS@
  LOGGING;

CREATE INDEX @SCHEMA@.AIB_WSID2 ON @SCHEMA@.ACTIVITY_INSTANCE_B_T
(   
  WSID_2, STATE
) TABLESPACE @INDEXTS@
  LOGGING;

CREATE INDEX @SCHEMA@.AIB_PIID ON @SCHEMA@.ACTIVITY_INSTANCE_B_T
(   
  PIID
) TABLESPACE @INDEXTS@
  LOGGING;

CREATE INDEX @SCHEMA@.EI_WSID1 ON @SCHEMA@.EVENT_INSTANCE_B_T
(   
  WSID_1
) TABLESPACE @INDEXTS@
  LOGGING;

CREATE INDEX @SCHEMA@.EI_WSID2 ON @SCHEMA@.EVENT_INSTANCE_B_T
(   
  WSID_2
) TABLESPACE @INDEXTS@
  LOGGING;

CREATE INDEX @SCHEMA@.WI_PD1 ON @SCHEMA@.WORK_ITEM_T
(   
  OWNER_ID, AUTH_INFO, OBJECT_TYPE, REASON, OBJECT_ID
) TABLESPACE @INDEXTS@
  LOGGING;

CREATE INDEX @SCHEMA@.WI_PD2 ON @SCHEMA@.WORK_ITEM_T
(   
  AUTH_INFO, OBJECT_TYPE, REASON, OBJECT_ID, QIID
) TABLESPACE @INDEXTS@
  LOGGING;

CREATE INDEX @SCHEMA@.WMD_HCUNU ON @SCHEMA@.WIS_META_DATA_T
(   
  HASH_CODE, UNUSED
) TABLESPACE @INDEXTS@
  LOGGING;

CREATE INDEX @SCHEMA@.ESI_WSID1 ON @SCHEMA@.ESCALATION_INSTANCE_T
(   
  WSID_1
) TABLESPACE @INDEXTS@
  LOGGING;

CREATE INDEX @SCHEMA@.ESI_WSID2 ON @SCHEMA@.ESCALATION_INSTANCE_T
(   
  WSID_2
) TABLESPACE @INDEXTS@
  LOGGING;

CREATE INDEX @SCHEMA@.TI_WSID1 ON @SCHEMA@.TASK_INSTANCE_T
(   
  WSID_1, KIND
) TABLESPACE @INDEXTS@
  LOGGING;

CREATE INDEX @SCHEMA@.TI_WSID2 ON @SCHEMA@.TASK_INSTANCE_T
(   
  WSID_2, KIND
) TABLESPACE @INDEXTS@
  LOGGING;

CREATE INDEX @SCHEMA@.TI_WSID1S ON @SCHEMA@.TASK_INSTANCE_T
(   
  WSID_1, KIND, STATE
) TABLESPACE @INDEXTS@
  LOGGING;

CREATE INDEX @SCHEMA@.TI_WSID2S ON @SCHEMA@.TASK_INSTANCE_T
(   
  WSID_2, KIND, STATE
) TABLESPACE @INDEXTS@
  LOGGING;

CREATE INDEX @SCHEMA@.TI_Q1 ON @SCHEMA@.TASK_INSTANCE_T
(   
  KIND, PRIORITY, OWNER, STARTER, ORIGINATOR
) TABLESPACE @INDEXTS@
  LOGGING;

CREATE INDEX @SCHEMA@.TILD_PD1 ON @SCHEMA@.TASK_INST_LDESC_T
(   
  LOCALE, TKIID, DESCRIPTION
) TABLESPACE @INDEXTS@
  LOGGING;

CREATE INDEX @SCHEMA@.TILD_PD2 ON @SCHEMA@.TASK_INST_LDESC_T
(   
  LOCALE, TKIID, DISPLAY_NAME
) TABLESPACE @INDEXTS@
  LOGGING;

CREATE INDEX @SCHEMA@.WBK_WSID1 ON @SCHEMA@.WORK_BASKET_T
(   
  WSID_1
) TABLESPACE @INDEXTS@
  LOGGING;

CREATE INDEX @SCHEMA@.WBK_WSID2 ON @SCHEMA@.WORK_BASKET_T
(   
  WSID_2
) TABLESPACE @INDEXTS@
  LOGGING;

CREATE INDEX @SCHEMA@.BCG_WSID1 ON @SCHEMA@.BUSINESS_CATEGORY_T
(   
  WSID_1
) TABLESPACE @INDEXTS@
  LOGGING;

CREATE INDEX @SCHEMA@.BCG_WSID2 ON @SCHEMA@.BUSINESS_CATEGORY_T
(   
  WSID_2
) TABLESPACE @INDEXTS@
  LOGGING;

-------------------
-- Create tables --
-------------------

CREATE TABLE @SCHEMA@.E_SWI_T
(
  PKID                               RAW(16)              NOT NULL ,
  WIID                               RAW(16)              NOT NULL ,
  WSID                               RAW(16)              NOT NULL ,
  HASH_CODE                          NUMBER(10,0)         NOT NULL ,
  WIS_HASH_CODE                      NUMBER(10,0)                  ,
  PARENT_WIID                        RAW(16)                       ,
  REASON                             NUMBER(10,0)         NOT NULL ,
  INHERITED                          NUMBER(5,0)                   ,
  QIID                               RAW(16)                       ,
  OBJECT_TYPE                        NUMBER(10,0)         NOT NULL ,
  KIND                               NUMBER(10,0)         NOT NULL ,
  SHARING_PATTERN                    NUMBER(10,0)         NOT NULL ,
  ACCESS_KEY                         NUMBER(10,0)         NOT NULL ,
  TEMPLATE_ID                        RAW(16)                       ,
  PARAMETER_A                        NUMBER(10,0)                  ,
  PARAMETER_B                        NUMBER(10,0)                  ,
  PARAMETER_C                        NUMBER(10,0)                  ,
  PARAMETER_D                        RAW(16)                       ,
  PARAMETER_E                        TIMESTAMP                     ,
  VERSION_ID                         NUMBER(5,0)          NOT NULL 
) TABLESPACE @WORKITEM@
  LOGGING;

ALTER TABLE @SCHEMA@.E_SWI_T ADD(
  PRIMARY KEY ( PKID )
  USING INDEX TABLESPACE @INDEXTS@
);

CREATE INDEX @SCHEMA@.WE_WSID ON @SCHEMA@.E_SWI_T
(   
  WSID
) TABLESPACE @INDEXTS@
  LOGGING;

CREATE INDEX @SCHEMA@.WE_HASHCODE ON @SCHEMA@.E_SWI_T
(   
  HASH_CODE
) TABLESPACE @INDEXTS@
  LOGGING;

CREATE INDEX @SCHEMA@.WE_WIID ON @SCHEMA@.E_SWI_T
(   
  WIID
) TABLESPACE @INDEXTS@
  LOGGING;

CREATE INDEX @SCHEMA@.WE_QIID ON @SCHEMA@.E_SWI_T
(   
  QIID
) TABLESPACE @INDEXTS@
  LOGGING;

CREATE TABLE @SCHEMA@.SWI_T
(
  PKID                               RAW(16)              NOT NULL ,
  WIID                               RAW(16)              NOT NULL ,
  PARENT_WIID                        RAW(16)                       ,
  OWNER_ID                           VARCHAR2(128)                 ,
  GROUP_NAME                         VARCHAR2(128)                 ,
  EVERYBODY                          NUMBER(5,0)          NOT NULL ,
  QIID                               RAW(16)                       ,
  OBJECT_TYPE                        NUMBER(10,0)         NOT NULL ,
  REASON                             NUMBER(10,0)         NOT NULL ,
  KIND                               NUMBER(10,0)         NOT NULL ,
  AUTH_INFO                          NUMBER(10,0)         NOT NULL ,
  SHARING_PATTERN                    NUMBER(10,0)         NOT NULL ,
  ACCESS_KEY                         NUMBER(10,0)         NOT NULL ,
  WSID                               RAW(16)              NOT NULL ,
  HASH_CODE                          NUMBER(10,0)         NOT NULL ,
  WIS_HASH_CODE                      NUMBER(10,0)                  ,
  INHERITED                          NUMBER(5,0)                   ,
  TEMPLATE_ID                        RAW(16)                       ,
  PARAMETER_A                        NUMBER(10,0)                  ,
  PARAMETER_B                        NUMBER(10,0)                  ,
  PARAMETER_C                        NUMBER(10,0)                  ,
  PARAMETER_D                        RAW(16)                       ,
  PARAMETER_E                        TIMESTAMP                     ,
  VERSION_ID                         NUMBER(5,0)          NOT NULL 
) TABLESPACE @WORKITEM@
  LOGGING;

ALTER TABLE @SCHEMA@.SWI_T ADD(
  PRIMARY KEY ( PKID )
  USING INDEX TABLESPACE @INDEXTS@
);

CREATE INDEX @SCHEMA@.SWI_WSID ON @SCHEMA@.SWI_T
(   
  WSID
) TABLESPACE @INDEXTS@
  LOGGING;

CREATE INDEX @SCHEMA@.SWI_HASHCODE ON @SCHEMA@.SWI_T
(   
  HASH_CODE
) TABLESPACE @INDEXTS@
  LOGGING;

CREATE INDEX @SCHEMA@.SWI_OTRPD ON @SCHEMA@.SWI_T
(   
  OBJECT_TYPE, REASON, TEMPLATE_ID
) TABLESPACE @INDEXTS@
  LOGGING;

CREATE INDEX @SCHEMA@.SWI_WIID ON @SCHEMA@.SWI_T
(   
  WIID
) TABLESPACE @INDEXTS@
  LOGGING;

CREATE INDEX @SCHEMA@.SWI_QIID ON @SCHEMA@.SWI_T
(   
  QIID
) TABLESPACE @INDEXTS@
  LOGGING;

CREATE INDEX @SCHEMA@.SWI_OWN ON @SCHEMA@.SWI_T
(   
  OWNER_ID, ACCESS_KEY, WSID, REASON
) TABLESPACE @INDEXTS@
  LOGGING;

CREATE INDEX @SCHEMA@.SWI_GRP ON @SCHEMA@.SWI_T
(   
  GROUP_NAME, ACCESS_KEY, WSID, REASON
) TABLESPACE @INDEXTS@
  LOGGING;

CREATE INDEX @SCHEMA@.SWI_ACCK1 ON @SCHEMA@.SWI_T
(   
  ACCESS_KEY, REASON, WSID, QIID
) TABLESPACE @INDEXTS@
  LOGGING;

CREATE INDEX @SCHEMA@.SWI_ACCK2 ON @SCHEMA@.SWI_T
(   
  ACCESS_KEY, REASON, QIID, WSID
) TABLESPACE @INDEXTS@
  LOGGING;

CREATE INDEX @SCHEMA@.SWI_ACCK3 ON @SCHEMA@.SWI_T
(   
  ACCESS_KEY, REASON, OWNER_ID, WSID
) TABLESPACE @INDEXTS@
  LOGGING;

CREATE INDEX @SCHEMA@.SWI_ACCK4 ON @SCHEMA@.SWI_T
(   
  ACCESS_KEY, REASON, WSID
) TABLESPACE @INDEXTS@
  LOGGING;

CREATE INDEX @SCHEMA@.SWI_ACCK5 ON @SCHEMA@.SWI_T
(   
  ACCESS_KEY, OWNER_ID, REASON, WSID
) TABLESPACE @INDEXTS@
  LOGGING;

CREATE INDEX @SCHEMA@.SWI_ACCK6 ON @SCHEMA@.SWI_T
(   
  ACCESS_KEY, GROUP_NAME, REASON, WSID
) TABLESPACE @INDEXTS@
  LOGGING;

-- View: SharedWorkItem
CREATE VIEW @SCHEMA@.SHARED_WORK_ITEM(WSID, OWNER_ID, GROUP_NAME, EVERYBODY, REASON ) AS
 SELECT @SCHEMA@.SWI_T.WSID, @SCHEMA@.SWI_T.OWNER_ID, @SCHEMA@.SWI_T.GROUP_NAME, @SCHEMA@.SWI_T.EVERYBODY, @SCHEMA@.SWI_T.REASON
 FROM @SCHEMA@.SWI_T
 WHERE @SCHEMA@.SWI_T.AUTH_INFO IN ( 1,2,3 )
 UNION ALL SELECT @SCHEMA@.SWI_T.WSID, @SCHEMA@.RETRIEVED_USER_T.OWNER_ID, @SCHEMA@.SWI_T.GROUP_NAME, @SCHEMA@.SWI_T.EVERYBODY, @SCHEMA@.SWI_T.REASON
 FROM @SCHEMA@.SWI_T, @SCHEMA@.RETRIEVED_USER_T
 WHERE @SCHEMA@.SWI_T.QIID = @SCHEMA@.RETRIEVED_USER_T.QIID AND @SCHEMA@.SWI_T.AUTH_INFO = 0;
