--
-- Licensed Materials - Property of IBM
-- 5655-FLW (C) Copyright IBM Corporation 2006, 2010.
-- All Rights Reserved.
-- US Government Users Restricted Rights- 
-- Use, duplication or disclosure restricted 
-- by GSA ADP Schedule Contract with IBM Corp.
--

-----------------
-- Drop tables --
-----------------

DROP TABLE @SCHEMA@.WIS_EMPTY_T
go

DROP TABLE @SCHEMA@.SHARED_WORK_ITEM_T
go

CREATE INDEX PIB_WSID1 ON @SCHEMA@.PROCESS_INSTANCE_B_T
(   
    WSID_1, STATE
)
go

CREATE INDEX PIB_WSID2 ON @SCHEMA@.PROCESS_INSTANCE_B_T
(   
    WSID_2, STATE
)
go

CREATE INDEX PIB_SWI1 ON @SCHEMA@.PROCESS_INSTANCE_B_T
(   
    PIID, NAME, PTID
)
go

CREATE INDEX AIB_PI_EH_FE_AT ON @SCHEMA@.ACTIVITY_INSTANCE_B_T
(   
    PIID, EHIID, ENCLOSING_FEIID, ATID
)
go

CREATE INDEX AIB_WSID1 ON @SCHEMA@.ACTIVITY_INSTANCE_B_T
(   
    WSID_1, STATE
)
go

CREATE INDEX AIB_WSID2 ON @SCHEMA@.ACTIVITY_INSTANCE_B_T
(   
    WSID_2, STATE
)
go

CREATE INDEX AIB_PIID ON @SCHEMA@.ACTIVITY_INSTANCE_B_T
(   
    PIID
)
go

CREATE INDEX EI_WSID1 ON @SCHEMA@.EVENT_INSTANCE_B_T
(   
    WSID_1
)
go

CREATE INDEX EI_WSID2 ON @SCHEMA@.EVENT_INSTANCE_B_T
(   
    WSID_2
)
go

CREATE INDEX WI_PD1 ON @SCHEMA@.WORK_ITEM_T
(   
    OWNER_ID, AUTH_INFO, OBJECT_TYPE, REASON, OBJECT_ID
)
go

CREATE INDEX WI_PD2 ON @SCHEMA@.WORK_ITEM_T
(   
    AUTH_INFO, OBJECT_TYPE, REASON, OBJECT_ID, QIID
)
go

CREATE INDEX WMD_HCUNU ON @SCHEMA@.WIS_META_DATA_T
(   
    HASH_CODE, UNUSED
)
go

CREATE INDEX ESI_WSID1 ON @SCHEMA@.ESCALATION_INSTANCE_T
(   
    WSID_1
)
go

CREATE INDEX ESI_WSID2 ON @SCHEMA@.ESCALATION_INSTANCE_T
(   
    WSID_2
)
go

CREATE INDEX TI_WSID1 ON @SCHEMA@.TASK_INSTANCE_T
(   
    WSID_1, KIND
)
go

CREATE INDEX TI_WSID2 ON @SCHEMA@.TASK_INSTANCE_T
(   
    WSID_2, KIND
)
go

CREATE INDEX TI_WSID1S ON @SCHEMA@.TASK_INSTANCE_T
(   
    WSID_1, KIND, STATE
)
go

CREATE INDEX TI_WSID2S ON @SCHEMA@.TASK_INSTANCE_T
(   
    WSID_2, KIND, STATE
)
go

CREATE INDEX TI_Q1 ON @SCHEMA@.TASK_INSTANCE_T
(   
    KIND, PRIORITY, OWNER, STARTER, ORIGINATOR
)
go

CREATE INDEX TILD_PD1 ON @SCHEMA@.TASK_INST_LDESC_T
(   
    LOCALE, TKIID, DESCRIPTION
)
go

CREATE INDEX TILD_PD2 ON @SCHEMA@.TASK_INST_LDESC_T
(   
    LOCALE, TKIID, DISPLAY_NAME
)
go

CREATE INDEX WBK_WSID1 ON @SCHEMA@.WORK_BASKET_T
(   
    WSID_1
)
go

CREATE INDEX WBK_WSID2 ON @SCHEMA@.WORK_BASKET_T
(   
    WSID_2
)
go

CREATE INDEX BCG_WSID1 ON @SCHEMA@.BUSINESS_CATEGORY_T
(   
    WSID_1
)
go

CREATE INDEX BCG_WSID2 ON @SCHEMA@.BUSINESS_CATEGORY_T
(   
    WSID_2
)
go

-------------------
-- Create tables --
-------------------

CREATE TABLE @SCHEMA@.E_SWI_T
(
    PKID                               BINARY(16)                         NOT NULL ,
    WIID                               BINARY(16)                         NOT NULL ,
    WSID                               BINARY(16)                         NOT NULL ,
    HASH_CODE                          INTEGER                            NOT NULL ,
    WIS_HASH_CODE                      INTEGER                                NULL ,
    PARENT_WIID                        BINARY(16)                             NULL ,
    REASON                             INTEGER                            NOT NULL ,
    INHERITED                          SMALLINT                               NULL ,
    QIID                               BINARY(16)                             NULL ,
    OBJECT_TYPE                        INTEGER                            NOT NULL ,
    KIND                               INTEGER                            NOT NULL ,
    SHARING_PATTERN                    INTEGER                            NOT NULL ,
    ACCESS_KEY                         INTEGER                            NOT NULL ,
    TEMPLATE_ID                        BINARY(16)                             NULL ,
    PARAMETER_A                        INTEGER                                NULL ,
    PARAMETER_B                        INTEGER                                NULL ,
    PARAMETER_C                        INTEGER                                NULL ,
    PARAMETER_D                        BINARY(16)                             NULL ,
    PARAMETER_E                        DATETIME                               NULL ,
    VERSION_ID                         SMALLINT                           NOT NULL ,
    PRIMARY KEY NONCLUSTERED ( PKID )
)
go

-- index for primary key is not generated by default ...
CREATE INDEX E_SWI_P ON @SCHEMA@.E_SWI_T
( 
    PKID
)
go


CREATE INDEX WE_WSID ON @SCHEMA@.E_SWI_T
(   
    WSID
)
go

CREATE INDEX WE_HASHCODE ON @SCHEMA@.E_SWI_T
(   
    HASH_CODE
)
go

CREATE INDEX WE_WIID ON @SCHEMA@.E_SWI_T
(   
    WIID
)
go

CREATE INDEX WE_QIID ON @SCHEMA@.E_SWI_T
(   
    QIID
)
go

-- disable page locks
sp_indexoption '@SCHEMA@.E_SWI_T', 'AllowPageLocks', FALSE
go


CREATE TABLE @SCHEMA@.SWI_T
(
    PKID                               BINARY(16)                         NOT NULL ,
    WIID                               BINARY(16)                         NOT NULL ,
    PARENT_WIID                        BINARY(16)                             NULL ,
    OWNER_ID                           VARCHAR(128)                           NULL ,
    GROUP_NAME                         VARCHAR(128)                           NULL ,
    EVERYBODY                          SMALLINT                           NOT NULL ,
    QIID                               BINARY(16)                             NULL ,
    OBJECT_TYPE                        INTEGER                            NOT NULL ,
    REASON                             INTEGER                            NOT NULL ,
    KIND                               INTEGER                            NOT NULL ,
    AUTH_INFO                          INTEGER                            NOT NULL ,
    SHARING_PATTERN                    INTEGER                            NOT NULL ,
    ACCESS_KEY                         INTEGER                            NOT NULL ,
    WSID                               BINARY(16)                         NOT NULL ,
    HASH_CODE                          INTEGER                            NOT NULL ,
    WIS_HASH_CODE                      INTEGER                                NULL ,
    INHERITED                          SMALLINT                               NULL ,
    TEMPLATE_ID                        BINARY(16)                             NULL ,
    PARAMETER_A                        INTEGER                                NULL ,
    PARAMETER_B                        INTEGER                                NULL ,
    PARAMETER_C                        INTEGER                                NULL ,
    PARAMETER_D                        BINARY(16)                             NULL ,
    PARAMETER_E                        DATETIME                               NULL ,
    VERSION_ID                         SMALLINT                           NOT NULL ,
    PRIMARY KEY NONCLUSTERED ( PKID )
)
go

-- index for primary key is not generated by default ...
CREATE INDEX SWI_P ON @SCHEMA@.SWI_T
( 
    PKID
)
go


CREATE INDEX SWI_WSID ON @SCHEMA@.SWI_T
(   
    WSID
)
go

CREATE INDEX SWI_HASHCODE ON @SCHEMA@.SWI_T
(   
    HASH_CODE
)
go

CREATE INDEX SWI_OTRPD ON @SCHEMA@.SWI_T
(   
    OBJECT_TYPE, REASON, TEMPLATE_ID
)
go

CREATE INDEX SWI_WIID ON @SCHEMA@.SWI_T
(   
    WIID
)
go

CREATE INDEX SWI_QIID ON @SCHEMA@.SWI_T
(   
    QIID
)
go

CREATE INDEX SWI_OWN ON @SCHEMA@.SWI_T
(   
    OWNER_ID, ACCESS_KEY, WSID, REASON
)
go

CREATE INDEX SWI_GRP ON @SCHEMA@.SWI_T
(   
    GROUP_NAME, ACCESS_KEY, WSID, REASON
)
go

CREATE INDEX SWI_ACCK1 ON @SCHEMA@.SWI_T
(   
    ACCESS_KEY, REASON, WSID, QIID
)
go

CREATE INDEX SWI_ACCK2 ON @SCHEMA@.SWI_T
(   
    ACCESS_KEY, REASON, QIID, WSID
)
go

CREATE INDEX SWI_ACCK3 ON @SCHEMA@.SWI_T
(   
    ACCESS_KEY, REASON, OWNER_ID, WSID
)
go

CREATE INDEX SWI_ACCK4 ON @SCHEMA@.SWI_T
(   
    ACCESS_KEY, REASON, WSID
)
go

CREATE INDEX SWI_ACCK5 ON @SCHEMA@.SWI_T
(   
    ACCESS_KEY, OWNER_ID, REASON, WSID
)
go

CREATE INDEX SWI_ACCK6 ON @SCHEMA@.SWI_T
(   
    ACCESS_KEY, GROUP_NAME, REASON, WSID
)
go

-- disable page locks
sp_indexoption '@SCHEMA@.SWI_T', 'AllowPageLocks', FALSE
go


-- View: SharedWorkItem
CREATE VIEW @SCHEMA@.SHARED_WORK_ITEM(WSID, OWNER_ID, GROUP_NAME, EVERYBODY, REASON ) AS
 SELECT @SCHEMA@.SWI_T.WSID, @SCHEMA@.SWI_T.OWNER_ID, @SCHEMA@.SWI_T.GROUP_NAME, @SCHEMA@.SWI_T.EVERYBODY, @SCHEMA@.SWI_T.REASON
 FROM @SCHEMA@.SWI_T
 WHERE @SCHEMA@.SWI_T.AUTH_INFO IN ( 1,2,3 )
 UNION ALL SELECT @SCHEMA@.SWI_T.WSID, @SCHEMA@.RETRIEVED_USER_T.OWNER_ID, @SCHEMA@.SWI_T.GROUP_NAME, @SCHEMA@.SWI_T.EVERYBODY, @SCHEMA@.SWI_T.REASON
 FROM @SCHEMA@.SWI_T, @SCHEMA@.RETRIEVED_USER_T
 WHERE @SCHEMA@.SWI_T.QIID = @SCHEMA@.RETRIEVED_USER_T.QIID AND @SCHEMA@.SWI_T.AUTH_INFO = 0
go
